CVE-2019-17540

Click the icon to Follow me:- twitterTelegramRedditDiscord

Summary:

ImageMagick before 7.0.8-54 has a heap-based buffer overflow in ReadPSInfo in coders/ps.c.

Reference Links(if available):

  • https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=15826
  • https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=942578
  • https://security-tracker.debian.org/tracker/CVE-2019-17540
  • https://github.com/ImageMagick/ImageMagick/compare/7.0.8-53…7.0.8-54
  • https://github.com/ImageMagick/ImageMagick/compare/[email protected]%7B2019-07-15%7D…[email protected]%7B2019-07-17%7D
  • CVSS Score (if available)

    v2: / MEDIUMAV:N/AC:M/Au:N/C:P/I:P/A:P

    v3: / HIGHCVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

    Links to Exploits(if available)